/* General Styles */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #212122;
}

.admin-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
}

.admin-container form {
    width: 100%;
    max-width: 300px;
    margin-bottom: 20px;
}

.admin-container table {
    border-collapse: collapse;
    width: 100%;
    max-width: 600px;
    margin: 20px 0;
}

.admin-container table th,
.admin-container table td {
    border: 1px solid #ccc;
    padding: 10px;
    text-align: center;
}

/* Centering specific styles for the error page */
.error-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 100vh;
}

.error-container h1 {
    font-size: 2em;
    margin-bottom: 10px;
}

.error-container a {
    text-decoration: none;
    color: #007BFF;
    font-weight: bold;
}

.error-container a:hover {
    color: #0056b3;
}

.page-container {
    flex: 1; /* Makes this element grow to fill available space */
    display: flex;
    justify-content: center;
    align-items: center;
}

form {
    display: flex;
    flex-direction: column;
    background: #ffffff;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    width: 300px;
}

form label {
    margin-bottom: 5px;
    font-weight: bold;
}

form input {
    margin-bottom: 10px;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

form button {
    padding: 10px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

form button:hover {
    background-color: #0056b3;
}

footer {
    text-align: center;
    background-color: #222;
    color: white;
    padding: 10px 0;
}


/*//////////////////////// MUSIC //////////////////////////*/
#progress-container {
    position: relative;
    width: 100%;
    max-width: 600px;
    margin: 20px 0;
}

#videoProgress {
    width: 100%;
}

/* Style the volume slider */
#volumeSlider {
    width: 100%;
    margin-top: 10px;
}

/* Style the container for the buttons */
.button-container {
    margin-top: 20px;
}

/* Style for the current time display */
#currentTime {
    font-size: 16px;
    color: #333;
    font-weight: bold;
}